This library contains functions for operating on [characters](https://docs.progsbase.com/docs/1-0-0-snapshot/general/text/). This library is limited to 98 of the common characters among the first 128 characters of [UTF-8](https://en.wikipedia.org/wiki/UTF-8). These characters have the same encording in other highly common western text encodings: [ASCII](https://en.wikipedia.org/wiki/ASCII), [ISO/IEC 8859-1 or Latin 1](https://en.wikipedia.org/wiki/ISO/IEC_8859-1) and [Windows-1252](https://en.wikipedia.org/wiki/Windows-1252).

It includes functions to converting a character to upper case and to lower case, and to check whether a character is a letter, upper or lower case, whitespace, digit or symbol.